# Uses of Interface
jspecview.api.JSVPanel

Packages that use JSVPanel
Package
Description
jspecview.api
jspecview.app
jspecview.appletjs
jspecview.application
jspecview.common
jspecview.dialog
jspecview.export
jspecview.java
jspecview.js2d
jspecview.popup
jspecview.tree

## Uses of JSVPanel in jspecview.api

Methods in jspecview.api that return JSVPanel
Modifier and Type
Method
Description
`JSVPanel`
AppletFrame.`getJSVPanel(JSViewer viewer, Lst<Spectrum> specs)`
`JSVPanel`
ScriptInterface.`siGetNewJSVPanel(Spectrum spec)`
`JSVPanel`
ScriptInterface.`siGetNewJSVPanel2(Lst<Spectrum> specs)`
Methods in jspecview.api with parameters of type JSVPanel
Modifier and Type
Method
Description
`void`
JSVPdfWriter.`createPdfDocument(JSVPanel panel, PrintLayout pl, OutputStream os)`
`JSVTreeNode`
JSVTree.`createTree(int fileCount, JDXSource source, JSVPanel[] jsvPanels)`
`void`
JSVMainPanel.`setSelectedPanel(JSViewer viewer, JSVPanel jsvp, Lst<PanelNode> panelNodes)`
`void`
JSVTree.`setSelectedPanel(ScriptInterface si, JSVPanel jsvp)`
`void`
ScriptInterface.`siSetPropertiesFromPreferences(JSVPanel jsvp, boolean b)`
`void`
ScriptInterface.`siSetSelectedPanel(JSVPanel jsvp)`

## Uses of JSVPanel in jspecview.app

Fields in jspecview.app declared as JSVPanel
Modifier and Type
Field
Description
`protected JSVPanel`
GenericMouse.`jsvp`
Methods in jspecview.app that return JSVPanel
Modifier and Type
Method
Description
`JSVPanel`
JSVApp.`siGetNewJSVPanel(Spectrum spec)`
`JSVPanel`
JSVApp.`siGetNewJSVPanel2(Lst<Spectrum> specs)`
Methods in jspecview.app with parameters of type JSVPanel
Modifier and Type
Method
Description
`void`
JSVApp.`siSetPropertiesFromPreferences(JSVPanel jsvp, boolean includeMeasures)`
`void`
JSVApp.`siSetSelectedPanel(JSVPanel jsvp)`
Constructors in jspecview.app with parameters of type JSVPanel
Modifier
Constructor
Description
``
`GenericMouse(JSVPanel jsvp)`

## Uses of JSVPanel in jspecview.appletjs

Methods in jspecview.appletjs that return JSVPanel
Modifier and Type
Method
Description
`JSVPanel`
JSVApplet.`getJSVPanel(JSViewer viewer, Lst<Spectrum> specs)`

## Uses of JSVPanel in jspecview.application

Methods in jspecview.application that return JSVPanel
Modifier and Type
Method
Description
`JSVPanel`
JSpecView.`siGetNewJSVPanel(Spectrum spec)`
`JSVPanel`
JSpecView.`siGetNewJSVPanel2(Lst<Spectrum> specs)`
Methods in jspecview.application with parameters of type JSVPanel
Modifier and Type
Method
Description
`JSVTreeNode`
AwtTree.`createTree(int fileCount, JDXSource source, JSVPanel[] panels)`
`void`
AwtTree.`setSelectedPanel(ScriptInterface si, JSVPanel jsvp)`
`void`
ApplicationMenu.`setSelections(boolean sidePanelOn, boolean toolbarOn, boolean statusbarOn, JSVPanel jsvp)`
`void`
JSpecView.`siSetPropertiesFromPreferences(JSVPanel jsvp, boolean includeMeasures)`
Sets the display properties as specified from the preferences dialog or the properties file
`void`
JSpecView.`siSetSelectedPanel(JSVPanel jsvp)`

## Uses of JSVPanel in jspecview.common

Fields in jspecview.common declared as JSVPanel
Modifier and Type
Field
Description
`JSVPanel`
PanelData.`jsvp`
`JSVPanel`
PanelNode.`jsvp`
`JSVPanel`
JSViewer.`selectedPanel`
Methods in jspecview.common that return JSVPanel
Modifier and Type
Method
Description
`static JSVPanel`
PanelNode.`getLastFileFirstNode(Lst<PanelNode> panelNodes)`
Methods in jspecview.common with parameters of type JSVPanel
Modifier and Type
Method
Description
`void`
PDFWriter.`createPdfDocument(JSVPanel panel, PrintLayout pl, OutputStream os)`
`static PanelNode`
PanelNode.`findNode(JSVPanel jsvp, Lst<PanelNode> panelNodes)`
Returns the tree node that is associated with a panel
`PanelNode`
JSViewer.`selectFrameNode(JSVPanel jsvp)`
`int`
JSViewer.`selectPanel(JSVPanel jsvp, Lst<PanelNode> panelNodes)`
From (AwtMainPanel or JsMainPanel).setSelectedPanel
`void`
ColorParameters.`setFor(JSVPanel jsvp, ColorParameters ds, boolean includeMeasures)`
Constructors in jspecview.common with parameters of type JSVPanel
Modifier
Constructor
Description
``
`PanelData(JSVPanel panel, JSViewer viewer)`
``
`PanelNode(String id, String fileName, JDXSource source, JSVPanel jsvp)`

## Uses of JSVPanel in jspecview.dialog

Fields in jspecview.dialog declared as JSVPanel
Modifier and Type
Field
Description
`protected JSVPanel`
JSVDialog.`jsvp`
Methods in jspecview.dialog with parameters of type JSVPanel
Modifier and Type
Method
Description
`abstract int`
DialogManager.`getOptionFromDialog(Object frame, String[] items, JSVPanel jsvp, String dialogName, String labelName)`

## Uses of JSVPanel in jspecview.export

Methods in jspecview.export with parameters of type JSVPanel
Modifier and Type
Method
Description
`String`
ExportInterface.`exportCmd(JSVPanel jsvp, Lst<String> tokens, boolean forInkscape)`
from EXPORT command

## Uses of JSVPanel in jspecview.java

Classes in jspecview.java that implement JSVPanel
Modifier and Type
Class
Description
`class`
`AwtPanel`
JSVPanel class represents a View combining one or more GraphSets, each with one or more JDXSpectra.
Methods in jspecview.java with parameters of type JSVPanel
Modifier and Type
Method
Description
`int`
AwtDialogManager.`getOptionFromDialog(Object frame, String[] items, JSVPanel jsvp, String title, String label)`
`void`
AwtMainPanel.`setSelectedPanel(JSViewer viewer, JSVPanel jsvp, Lst<PanelNode> panelNodes)`

## Uses of JSVPanel in jspecview.js2d

Classes in jspecview.js2d that implement JSVPanel
Modifier and Type
Class
Description
`class`
`JsPanel`
The JavaScript extension of a JSVPanel.
Methods in jspecview.js2d with parameters of type JSVPanel
Modifier and Type
Method
Description
`int`
JsDialogManager.`getOptionFromDialog(Object frame, String[] items, JSVPanel jsvp, String dialogName, String labelName)`
`void`
JsMainPanel.`setSelectedPanel(JSViewer viewer, JSVPanel jsvp, Lst<PanelNode> panelNodes)`

## Uses of JSVPanel in jspecview.popup

Fields in jspecview.popup declared as JSVPanel
Modifier and Type
Field
Description
`protected JSVPanel`
JSVGenericPopup.`thisJsvp`

## Uses of JSVPanel in jspecview.tree

Methods in jspecview.tree with parameters of type JSVPanel
Modifier and Type
Method
Description
`JSVTreeNode`
SimpleTree.`createTree(int fileCount, JDXSource source, JSVPanel[] panels)`
`void`
SimpleTree.`setSelectedPanel(ScriptInterface si, JSVPanel jsvp)`